Subject: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Oct 2008 11:57:05 +0200

> Date: Fri, 17 Oct 2008 10:36:47 +0200
> From: "Lennart Borgman (gmail)" <[email-masked]>
> CC: Drew Adams <[email-masked]>, [email-masked]
> 
> Eli Zaretskii wrote:
> >> From: "Drew Adams" <[email-masked]>
> >> Date: Thu, 16 Oct 2008 17:00:40 -0700
> >> Cc: 
> >>
> >>> Just for info: I had some similar problems and decided to set
> >>>  current-language-environment to "UTF-8"
> >> OK, thanks for the workaround.
> >>
> >> But that should not be necessary. In Emacs 22, it just DTRT. Users should be
> >> able to load the file in both Emacs versions without fiddling with the language
> >> environment.
> > 
> > But that could be a problem with vline.el itself, you know.  It uses
> > non-ASCII characters, but does not include any "coding:" cookies, so
> > Emacs is left with its guesswork for how to interpret the 8-bit bytes
> > included in the file.  And that guesswork is not fool-proof.
> > 
> > I will look at this closer after you report the details about the
> > bytes that I requested in my other message.
> 
> I do not remember; could the defaults be changed so that reading files
> like vline.el will succeed?

Obviously, that depends on the nature of the problem, which at least
to me is not yet clear.